Contenu
Airports (IATA), optionally filtered by a free-text term or a country.
get/v1/content/airports
- Authentification requise
Paramètres
| Nom | Emplacement | Type | Description |
|---|---|---|---|
| q | requête | string | |
| country | requête | string | |
| page | requête | integer (int32) | |
| pageSize | requête | integer (int32) |
Réponses
200OKAirportItemPagedList
- AirportItem[]
- iatastring
- namestringpeut être null
- cityCodestringpeut être null
- cityNamestringpeut être null
- countryCodestringpeut être null
- pageinteger (int32)
- pageSizeinteger (int32)
- totalinteger (int32)
Exemples de code
Des programmes complets qui signent la requête exactement comme la passerelle la vérifie. Remplacez YOUR_KEY_ID et YOUR_SECRET.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/content/airports\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/content/airports" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"